#ifndef _CEGOMODULE_H_INCLUDED_
#define _CEGOMODULE_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoModule.h
// -------------
// Cego module information
//
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2019 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: CegoModule
// 
// Description: Program module class for log messaging support
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

// LFC INCLUDES
#include <lfcbase/Logger.h>
#include <lfcbase/Chain.h>

extern const char *CEGO_MODULE_MAP[];

class CegoModule : public Logger {
    
public:
    
    CegoModule();
    CegoModule(const Chain& logFile, const Chain& progName);
    ~CegoModule();
    
    int getModId(const Chain& module);
    Chain getModName(int id);
    
    int getMapSize();
    
private:
    
};

#endif
